Bug 100681 - Crash on pasting from already closed document
Summary: Crash on pasting from already closed document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-06-29 15:12 UTC by Miklos Vajna
Modified: 2016-11-22 02:15 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["SwTransferable::PrivatePaste(SwWrtShell &)", "`anonymous namespace'::lcl_checkClassification(SwDoc *,SwDoc *)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2016-06-29 15:12:26 UTC
Thanks to Michael Stahl for figuring out the list of steps to reproduce
this bug:
    
1) Create a new Writer document
2) Type some text
3) Select all
4) Copy it
5) Close the document
6) Create a second Writer document
7) Paste -> crash
Comment 1 Miklos Vajna 2016-06-29 15:13:55 UTC
Fixed by commit 1bc3c88bc9ed085bf7e173cb12f313934d92f309, backported to libreoffice-5-2 as 91f2f71e7b936c3c9fb984aaa01d432926abb38f.
Comment 2 Timur 2016-06-30 09:09:50 UTC
Seems like a regression from 5.2 so I add those fields.